ifconfig(1)

NAME
ifconfig - configure network interfaces

SYNOPSIS
ifconfig [option ...] name [addr] [broadcast brdaddr] [{ pointopoint | dstaddr } dstaddr] [netmask mask] [{ ether | hwaddr | lladdr } macaddr] [metric n] [mtu n] [txqueuelen n] [up | down] [flags]

DESCRIPTION
Configure network interfaces.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Known flags are: allmulti, arp, automedia, broadcast, debug, dynamic, master, multicast, pointopoint, portsel, promisc, slave, trailers, up. Prepending no to any of these flags will negate their effect.

OPTIONS

-a, --all
    Display all available interfaces.

-A, --address addr
    Set the interface address to addr.

-B, --broadcast addr

-b, --brdaddr addr
    Set the broadcast address to addr.

-d, --dstaddr addr

-p, --peer addr
    Set the destination (peer) address to addr.

--up
    Activate the interface (default if address is given).

--down
    Shut the interface down.

-F, --flags flag,[flag ...]
    Set the interface flags.

-i, --interface name
    Configure the network interface name.

-l, --list
    List the available or selected interfaces.

-m, --netmask mask
    Set the netmask to mask.

--metric n
    Set the interface metric to n.

-M, --mtu n
    Set the interface MTU to n.

--format format
    Select the output format; set to help for information.

-s, --short
    Short output format.

-v, --verbose
    Output information when configuring the interface.

?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

Linux-specific options:

-T, --txqlen n
    Set the transmit queue length to n.